PipeWire 1.2.6

Loading...
Searching...
No Matches
Data Fields
spa_source Struct Reference
SPA » Support » Loop

`#include <spa/support/loop.h>`

## Data Fields
struct spa_loop * | loop
spa_source_func_t | func
void * | data
int | fd
uint32_t | mask
uint32_t | rmask
void * | priv

## Detailed Description

Examples
  video-dsp-src.c, video-play-fixate.c, video-play-pull.c, video-play-reneg.c, video-src-alloc.c, video-src-fixate.c, video-src-reneg.c, and video-src.c.

## Field Documentation

## ◆ loop

struct spa_loop* spa_source::loop

## ◆ func

spa_source_func_t spa_source::func

## ◆ data

void* spa_source::data

## ◆ fd

int spa_source::fd

## ◆ mask

uint32_t spa_source::mask

## ◆ rmask

uint32_t spa_source::rmask

## ◆ priv

void* spa_source::priv

The documentation for this struct was generated from the following file:

- spa/support/loop.h